package utils

import (
	"bufio"
	"os"
)

func ReadFileLines(filePath string, array *[]string) error {
	file, err := os.Open(filePath)
	if err != nil {
		Logger.Error().Msg(err.Error())
		return err
	}
	defer func() {
		if closeErr := file.Close(); closeErr != nil && err == nil {
			err = closeErr
		}
	}()

	scanner := bufio.NewScanner(file)

	for scanner.Scan() {
		*array = append(*array, scanner.Text())
	}

	if err := scanner.Err(); err != nil {
		Logger.Error().Msg(err.Error())
		return err
	}

	return nil
}
